Page MenuHomePhabricator

Modernise TranslateMetadata::class to an injectable service
Closed, ResolvedPublic4 Estimated Story Points

Description

Subtask of T193166. As this class requires a bit more attention and many changes, the patch related would have been outside the scope of generally modernizing code. This ticket proposes tracking these changes on a different task.

Event Timeline

Wangombe renamed this task from Modernise to Modernise TranslateMetadata::class to an injectable service.Dec 14 2023, 8:18 AM
Wangombe changed the task status from Open to In Progress.
Wangombe claimed this task.
Wangombe updated the task description. (Show Details)
Wangombe added subscribers: abi_, Nikerabbit.
Pginer-WMF triaged this task as Medium priority.Dec 14 2023, 9:17 AM

Change 982182 had a related patch set uploaded (by Wangombe; author: Wangombe):

[mediawiki/extensions/Translate@master] Convert TranslateMetadata::class to a service

https://gerrit.wikimedia.org/r/982182

abi_ set the point value for this task to 4.Dec 20 2023, 6:44 AM

Change 980983 had a related patch set uploaded (by Wangombe; author: Wangombe):

[mediawiki/extensions/CentralNotice@master] Update reference to namespaced MessageGroupMetadata::class

https://gerrit.wikimedia.org/r/980983

Change 980983 merged by jenkins-bot:

[mediawiki/extensions/CentralNotice@master] Update reference to namespaced MessageGroupMetadata::class

https://gerrit.wikimedia.org/r/980983

abi_ changed the task status from In Progress to Stalled.Feb 27 2024, 3:59 AM

We're waiting for MediaWiki-extensions-CentralNotice patch to be deployed on production before we can merge the patch for this task.

abi_ changed the task status from Stalled to In Progress.Apr 2 2024, 8:20 AM

Change #982182 merged by jenkins-bot:

[mediawiki/extensions/Translate@master] TranslateMetadata: Rename to MessageGroupMetadata and convert to service

https://gerrit.wikimedia.org/r/982182

Change #1016843 had a related patch set uploaded (by Jforrester; author: Jforrester):

[mediawiki/extensions/CentralNotice@master] Banner: Drop references to old TranslateMetadata class to make phan happy

https://gerrit.wikimedia.org/r/1016843

The relevant patch: 982182: TranslateMetadata: Rename to MessageGroupMetadata and convert to service | https://gerrit.wikimedia.org/r/c/mediawiki/extensions/Translate/+/982182 was deployed along with the train this week. We did not notice any issues.

There is a patch for Central notice extension (1016843: Banner: Drop references to old TranslateMetadata class to make phan happy | https://gerrit.wikimedia.org/r/c/mediawiki/extensions/CentralNotice/+/1016843) remove backward compatibility code, but we need not keep this task open for that.